Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

SOLVED

Commerce Data not Migrated using Lazy content Migration in AEM 6.5

Avatar

Level 1

We are upgrading from AEM 6.3 to 6.5 . 

 

AEM 6.5 was stated with -Dcom.adobe.upgrade.forcemigration=true, however the commerce data is not getting migrated.

 

This is what we got in the upgrade log:-

 

23.01.2020 08:06:09.741 *INFO* [FelixStartLevel] com.adobe.cq.upgradesexecutor.Activator Skipped CodeUpgradeTask CQ64LegacyCloudSettingsCleanupTask due to CodeUpgradeTaskFilter VersionRangeTaskIgnorelist
23.01.2020 08:06:09.741 *INFO* [FelixStartLevel] com.adobe.cq.upgradesexecutor.Activator Skipped CodeUpgradeTask CQ64CommunitiesConfigsCleanupTask due to CodeUpgradeTaskFilter VersionRangeTaskIgnorelist
23.01.2020 08:06:09.741 *INFO* [FelixStartLevel] com.adobe.cq.upgradesexecutor.Activator Skipped CodeUpgradeTask CQ64CommerceMigrationTask due to CodeUpgradeTaskFilter VersionRangeTaskIgnorelist
23.01.2020 08:06:09.741 *INFO* [FelixStartLevel] com.day.cq.compat.codeupgrade.impl.MigrationModeCheckImpl System property com.adobe.upgrade.forcemigration=true - CodeUpgradeExecutor forcing execution of remaining CodeUpgradeTasks

 

This is status in CRXde

 

 

Priyanku_Dwived_0-1579768004423.png

 

What is meaning of "VersionRangeTaskIgnorelist". Apart from starting AEM with argument -Dcom.adobe.upgrade.forcemigration=true is there any other step that needs to be performed?

1 Accepted Solution

Avatar

Correct answer by
Employee Advisor

The upgrade tasks were not run as they are part of lazy migration[2]. So, you can ignore the message and start the AEM instance with "-Dcom.adobe.upgrade.forcemigration=true"

 

VersionRangeTaskIgnorelist[1]: The VersionRangeFilter defines the VersionRange for which a CodeUpgradeTask needs to be run. VersionRangeTaskIgnorelist as will compare this range against the bundlelist of the source instance to evaluate the need to run the CodeUpgradeTask. If the version of the linked bundle is outside of the defined range the CodeUpgradeTask. will be skipped

 

[1] https://helpx.adobe.com/experience-manager/6-5/sites/developing/using/reference-materials/javadoc/co...

 

[2] https://docs.adobe.com/content/help/en/experience-manager-65/deploying/upgrading/lazy-content-migrat...

View solution in original post

4 Replies

Avatar

Correct answer by
Employee Advisor

The upgrade tasks were not run as they are part of lazy migration[2]. So, you can ignore the message and start the AEM instance with "-Dcom.adobe.upgrade.forcemigration=true"

 

VersionRangeTaskIgnorelist[1]: The VersionRangeFilter defines the VersionRange for which a CodeUpgradeTask needs to be run. VersionRangeTaskIgnorelist as will compare this range against the bundlelist of the source instance to evaluate the need to run the CodeUpgradeTask. If the version of the linked bundle is outside of the defined range the CodeUpgradeTask. will be skipped

 

[1] https://helpx.adobe.com/experience-manager/6-5/sites/developing/using/reference-materials/javadoc/co...

 

[2] https://docs.adobe.com/content/help/en/experience-manager-65/deploying/upgrading/lazy-content-migrat...

Avatar

Level 1
@Jaideep_Brar - Thanks for the response, we started the AEM '-Dcom.adobe.upgrade.forcemigration=true', However a day has been passed but there is no movement of '/etc/commerce' data to '/var/commerce'

Avatar

Level 1
@Jaideep_Brar : upgrade log shows migration is skipped due to VersionRangeTaskIgnorelist. I have already added upgrade log snippet in Description